System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Property)

Apply to a property if its parent property should receive notification of changes to the property's values. For example, in the Properties window, the property has nested properties such as and . These nested properties are marked with NotifyParentPropertyAttribute(true) so they notify the parent property to update its value and display when the property values change.

For more information about using attributes, see Extending Metadata Using Attributes.

Indicates that the parent property is notified when the value of the property that this attribute is applied to is modified. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, using the specified value to determine whether the parent property is notified of changes to the value of the property.

  true if the parent should be notified of changes; otherwise, false.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.NotifyParentPropertyAttribute To be added

  Indicates the default attribute state, that the property should not notify the parent property of changes to its value. This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Gets a value indicating whether the specified object is the same as the current object.

  true if the object is the same as this object; otherwise, false.

  The object to test for equality.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Gets the hash code for this object.

  The hash code for the object the attribute belongs to.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Gets a value indicating whether the current value of the attribute is the default value for the attribute.

  true if the current value of the attribute is the default value of the attribute; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.NotifyParentPropertyAttribute To be added

  Indicates that the parent property is not be notified of changes to the value of the property. This field is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value indicating whether the parent property should be notified of changes to the value of the property.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.NotifyParentPropertyAttribute To be added

  Indicates that the parent property is notified of changes to the value of the property. This field is read-only.